import * as React from 'react';
import { ControlMode } from '../../common/datatypes/ControlMode';
import '../FormField.module.scss';
export interface IFormFieldProps {
    className?: string;
    controlMode: ControlMode;
    label?: string;
    description?: string;
    required?: boolean;
    disabled?: boolean;
    active?: boolean;
    value: any;
    errorMessage?: string;
    webUrl: string;
    valueChanged(newValue: any): void;
}
declare const FormField: React.FunctionComponent<IFormFieldProps>;
export default FormField;
