import * as React from 'react';
import { ITermParentProps, ITermParentState } from './ITaxonomyPicker';
import '../TaxonomyPicker.module.scss';
/**
 * Term Parent component, represents termset or term if anchorId
 */
export default class TermParent extends React.Component<ITermParentProps, ITermParentState> {
    private _terms;
    private _anchorName;
    constructor(props: ITermParentProps);
    /**
     * componentWillMount
     */
    componentWillMount(): void;
    /**
     * Default React render method
     */
    render(): JSX.Element;
    /**
     * Handle the click event: collapse or expand
     */
    private _handleClick;
}
