"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Link_1 = require("office-ui-fabric-react/lib/Link");
var SPFieldLookupDisplay = function (props) {
    if (props.value && props.value.length > 0) {
        var baseUrl_1 = props.fieldSchema.BaseDisplayFormUrl + "&ListId={" + props.fieldSchema.LookupListId + "}";
        return (React.createElement("div", null, props.value.map(function (val) { return (React.createElement("div", null,
            React.createElement(Link_1.Link, { href: baseUrl_1 + "&ID=" + val.lookupId }, val.lookupValue))); })));
    }
    else {
        return React.createElement("div", null);
    }
};
exports.default = SPFieldLookupDisplay;
