"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Link_1 = require("office-ui-fabric-react/lib/Link");
var SPFieldUrlDisplay = function (props) {
    if (props.value) {
        if (props.fieldSchema.DisplayFormat === 1) {
            // picture field
            return (React.createElement("div", null,
                React.createElement("img", { src: props.value, title: props.extraData ? props.extraData.desc : '' })));
        }
        else {
            return (React.createElement("div", null,
                React.createElement(Link_1.Link, { target: "_blank", href: props.value }, props.extraData && props.extraData.desc ? props.extraData.desc : props.value)));
        }
    }
    else {
        return React.createElement("div", null);
    }
};
exports.default = SPFieldUrlDisplay;
