"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Link_1 = require("office-ui-fabric-react/lib/Link");
var SPFieldUserDisplay = function (props) {
    if (props.value && props.value.length > 0) {
        var baseUrl_1 = props.fieldSchema.ListFormUrl + "?PageType=4&ListId=" + props.fieldSchema.UserInfoListId;
        return (React.createElement("div", null, props.value.map(function (val) { return (React.createElement("div", null,
            React.createElement(Link_1.Link, { href: baseUrl_1 + "&ID=" + val.id }, val.title))); })));
    }
    else {
        return React.createElement("div", null);
    }
};
exports.default = SPFieldUserDisplay;
