"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../SPFormField.scss");
var PeoplePickerComponent_1 = require("../peoplepicker/PeoplePickerComponent");
var PrincipalType_1 = require("../peoplepicker/PrincipalType");
var SPUserEdit = function (props) {
    var personSelectionLimit = props.fieldSchema.AllowMultipleValues ? 15 : null;
    return (React.createElement(PeoplePickerComponent_1.PeoplePicker, { isRequired: props.fieldSchema.Required, webAbsoluteUrl: props.webUrl, principleTypes: [PrincipalType_1.PrincipalType.SecurityGroup, PrincipalType_1.PrincipalType.SharePointGroup, PrincipalType_1.PrincipalType.User], selectedItems: function (users) {
            var conArray = [];
            for (var _i = 0, users_1 = users; _i < users_1.length; _i++) {
                var user = users_1[_i];
                conArray.push('{\'Key\':\'' + user.loginName + '\'}');
            }
            props.valueChanged('[' + conArray.join() + ']');
        }, key: 'peopleFieldId', titleText: '', personSelectionLimit: personSelectionLimit, showtooltip: true, showHiddenInUI: false }));
};
exports.default = SPUserEdit;
