import * as React from 'react';
import { ITermProps, ITermState } from './ITaxonomyPicker';
import '../TaxonomyPicker.module.scss';
/**
 * Term component
 * Renders a selectable term
 */
export default class Term extends React.Component<ITermProps, ITermState> {
    constructor(props: ITermProps);
    /**
     * Default React render
     */
    render(): JSX.Element;
    /**
     * Lifecycle event hook when component retrieves new properties
     * @param nextProps
     * @param nextContext
     */
    componentWillReceiveProps?(nextProps: ITermProps): void;
    /**
     * Handle the checkbox change trigger
     */
    private _handleChange;
    /**
     * Get the right class name for the term
     */
    private getClassName;
}
